package es.ua.eps.filmoteca;

import java.util.ArrayList;
import java.util.List;

public class FilmDataSource {

    public static List<Film> films;

    static {
        films = new ArrayList<Film>();

        Film f = new Film();
        f.title = "El último Samurai";
        f.director = "Edward Zwick";
        f.imageResId = R.drawable.coversamurai;
        f.comments = "Versión Extendida";
        f.format = Film.FORMAT_BLURAY;
        f.genre = Film.GENRE_ACTION;
        f.imdbUrl = "http://www.imdb.com/title/tt0088763";
        f.year = 2003;

        films.add(f);

        f = new Film();
        f.title = "Memorias de una Geisha";
        f.director = "Rob Marshall";
        f.imageResId = R.drawable.memoriasdeunageisha;
        f.comments = "";
        f.format = Film.FORMAT_DIGITAL;
        f.genre = Film.GENRE_DRAMA;
        f.imdbUrl = "http://www.imdb.com/title/tt0096874";
        f.year = 2005;

        films.add(f);

        f = new Film();
        f.title = "Capitán América: el primer vengador";
        f.director = "Joe Johnston";
        f.imageResId = R.drawable.capitanamerica;
        f.comments = "";
        f.format = Film.FORMAT_DIGITAL;
        f.genre = Film.GENRE_SCIFI;
        f.imdbUrl = "http://www.imdb.com/title/tt0099088";
        f.year = 2011;

        films.add(f);

        f = new Film();
        f.title = "Big Hero 6";
        f.director = "Don Hall, Chris Williams";
        f.imageResId = R.drawable.bigherosix;
        f.comments = "";
        f.format = Film.FORMAT_DIGITAL;
        f.genre = Film.GENRE_ANIMATION;
        f.imdbUrl = "http://www.imdb.com/title/tt0087332";
        f.year = 2011;

        films.add(f);

    }
}
